#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sshfs
Version		:	3.7.3
Release		:	17.0.10.rel%{?dist}
Summary		:	FUSE-Filesystem to access remote filesystems via SSH

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0-only
URL		:	https://github.com/libfuse/sshfs

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	fuse-devel
BuildRequires	:	gcc
BuildRequires	:	gnupg
BuildRequires	:	meson
BuildRequires	:	glib-devel
BuildRequires	:	openssh-clients
BuildRequires	:	python3-docutils
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest

Requires	:	openssh-clients

#-----------------------------------------------------------------------------
%description
This is a FUSE-filesystem client based on
the SSH File Transfer Protocol.
Since most SSH servers already support
this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.
On the client side mounting the filesystem
is as easy as logging into the server with ssh.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS README.rst ChangeLog.rst
%license COPYING
%{_bindir}/%{name}
%{_sbindir}/mount.%{name}
%{_sbindir}/mount.fuse.%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--buildtype=plain				\
	_bld

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%check
# FIXME requires sshd running? Previously tests were just skipped.
#python3 						\
#	-m pytest					\
#	test


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson	install						\
	-C _bld					

#-----------------------------------------------------------------------------
%changelog
